#include <glib-object.h>
#include <dbus/dbus-glib.h>

G_BEGIN_DECLS

/**
 * McSvcAccountManagerInterfaceCreation:
 *
 * Dummy typedef representing any implementation of this interface.
 */
typedef struct _McSvcAccountManagerInterfaceCreation McSvcAccountManagerInterfaceCreation;

/**
 * McSvcAccountManagerInterfaceCreationClass:
 *
 * The class of McSvcAccountManagerInterfaceCreation.
 */
typedef struct _McSvcAccountManagerInterfaceCreationClass McSvcAccountManagerInterfaceCreationClass;

GType mc_svc_account_manager_interface_creation_get_type (void);
#define MC_TYPE_SVC_ACCOUNT_MANAGER_INTERFACE_CREATION \
  (mc_svc_account_manager_interface_creation_get_type ())
#define MC_SVC_ACCOUNT_MANAGER_INTERFACE_CREATION(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST((obj), MC_TYPE_SVC_ACCOUNT_MANAGER_INTERFACE_CREATION, McSvcAccountManagerInterfaceCreation))
#define MC_IS_SVC_ACCOUNT_MANAGER_INTERFACE_CREATION(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE((obj), MC_TYPE_SVC_ACCOUNT_MANAGER_INTERFACE_CREATION))
#define MC_SVC_ACCOUNT_MANAGER_INTERFACE_CREATION_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_INTERFACE((obj), MC_TYPE_SVC_ACCOUNT_MANAGER_INTERFACE_CREATION, McSvcAccountManagerInterfaceCreationClass))


typedef void (*mc_svc_account_manager_interface_creation_create_account_impl) (McSvcAccountManagerInterfaceCreation *self,
    const gchar *in_Connection_Manager,
    const gchar *in_Protocol,
    const gchar *in_Display_Name,
    GHashTable *in_Parameters,
    GHashTable *in_Properties,
    DBusGMethodInvocation *context);
void mc_svc_account_manager_interface_creation_implement_create_account (McSvcAccountManagerInterfaceCreationClass *klass, mc_svc_account_manager_interface_creation_create_account_impl impl);
/**
 * mc_svc_account_manager_interface_creation_return_from_create_account:
 * @context: The D-Bus method invocation context
 * @out_Account: const gchar * (FIXME, generate documentation)
 *
 * Return successfully by calling dbus_g_method_return().
 * This inline function exists only to provide type-safety.
 */
static inline
/* this comment is to stop gtkdoc realising this is static */
void mc_svc_account_manager_interface_creation_return_from_create_account (DBusGMethodInvocation *context,
    const gchar *out_Account);
static inline void
mc_svc_account_manager_interface_creation_return_from_create_account (DBusGMethodInvocation *context,
    const gchar *out_Account)
{
  dbus_g_method_return (context,
      out_Account);
}



G_END_DECLS
